Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.common
Interface XmlRpcStreamRequestConfig

All Superinterfaces:
  XmlRpcConfig, XmlRpcRequestConfig, XmlRpcStreamConfig

All Known Subinterfaces:
  XmlRpcHttpClientConfig, XmlRpcHttpRequestConfig

All Known Implementing Classes:
  RequestData, XmlRpcClientConfigImpl, XmlRpcHttpRequestConfigImpl

    public interface XmlRpcStreamRequestConfig

extends XmlRpcStreamConfig, XmlRpcRequestConfig

Interface of a client configuration for a transport, which is implemented by writing to a stream.

Field Summary

Fields inherited from interface org.apache.xmlrpc.common.XmlRpcStreamConfig
`UTF8_ENCODING`

Method Summary
`boolean` | `isEnabledForExceptions()` Returns, whether the response should contain a "faultCause" element in case of errors.
`boolean` | `isGzipCompressing()` Returns, whether the request stream is being compressed.
`boolean` | `isGzipRequesting()` Returns, whether compression is requested for the response stream.

Methods inherited from interface org.apache.xmlrpc.common.XmlRpcStreamConfig
`getEncoding`

Methods inherited from interface org.apache.xmlrpc.XmlRpcConfig
`getTimeZone, isEnabledForExtensions`

Method Detail

### isGzipCompressing

    boolean isGzipCompressing()

  Returns, whether the request stream is being compressed. Note, that the response stream may still be uncompressed.

  Returns:
    Whether to use Gzip compression or not. Defaults to false.
  See Also:
    `isGzipRequesting()`

### isGzipRequesting

    boolean isGzipRequesting()

  Returns, whether compression is requested for the response stream. Note, that the request is stull uncompressed, unless `isGzipCompressing()` is activated. Also note, that the server may still decide to send uncompressed data.

  Returns:
    Whether to use Gzip compression or not. Defaults to false.
  See Also:
    `isGzipCompressing()`

### isEnabledForExceptions

    boolean isEnabledForExceptions()

  Returns, whether the response should contain a "faultCause" element in case of errors. The "faultCause" is an exception, which the server has trapped and written into a byte stream as a serializable object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.